/* Style sheet for kolomna-trams.ru v.3 (counter) */
/* by Dmitry Balabanov */

.trams-v3-counter-content {
    display: flex;
    justify-content: center;
    width: 100%;
    background-color: #fff;
    padding-bottom: 0px;
    flex: 1 0 auto;
    flex-direction: column;
}

.trams-v3-counter-big-container {
    height: 100vh;
    background-image: url('../../assets/images/home/counter.jpeg');
    background-size: cover;
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-position: 45% 50%;
}

.trams-v3-counter-big-wrapper {
    text-shadow: 0px 10px 75px black,0px -10px 75px black;
    margin: 0 15px;
}

.trams-v3-counter-big-container h1 {
    font-family: var(--trams-serif-font-family);
    color: white;
    text-align: center;
    font-weight: 100;
    margin-bottom: 2em;
    font-size: 24px;
    line-height: 1.25;
}

.trams-v3-counter-big-container h2 {
    font-family: var(--trams-serif-font-family);
    color: white;
    text-align: center;
    font-weight: 100;
    font-size: 96px;
    margin: 0;
    line-height: 1;
}

.trams-v3-counter-big-container h3 {
    font-family: var(--trams-serif-font-family);
    color: white;
    text-align: center;
    font-weight: 100;
    margin: 0;
    font-size: 32px;
}

@media only screen and (max-width: 650px) {
    .trams-v3-counter-big-container h1 {
        font-size: 24px;
    }
    .trams-v3-counter-big-container h2 {
        font-size: 72px;
    }
    .trams-v3-counter-big-container h3 {
        font-size: 24px;
    }
}
@media only screen and (max-width: 500px) {
    .trams-v3-counter-big-container h1 {
        font-size: 20px;
    }
    .trams-v3-counter-big-container h2 {
        font-size: 64px;
    }
}
@media only screen and (max-width: 425px) {
    .trams-v3-counter-big-container h2 {
        font-size: 48px;
    }
}

.trams-v3-counter-block-container {
    padding: 0 15px;
    max-width: 600px;
    margin: 0 auto;
}

.trams-v3-counter-block-container h2 {
    text-align: center;
    font-size: 26px;
    font-weight: 400;
    line-height: 1.4;
}

.trams-v3-counter-mini-counter {
    text-align: center;
    font-size: 45px;
    font-weight: 400;
    margin: 0;
    line-height: 1.5;
}

.trams-v3-counter-mini-counter-sub {
    text-align: center;
    font-size: 24px;
    font-weight: 400;
    line-height: 1;
    margin: 0;
}

.trams-v3-counter-moving-further {
    text-align: center;
    font-size: 35px;
    font-weight: 100;
    line-height: 1;
    margin: 2em;
}

.trams-v3-counter-motivation-wrapper {
    background-color: #111;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 1em 0;
}

.trams-v3-counter-motivation-icon img {
    height: 60px;
    display: block;
    margin: 0 auto;
}

.trams-v3-counter-motivation-wrapper p {
    text-align: center;
    color: white;
    font-size: 18px;
    padding: 0 1em;
    max-width: 600px;
}

.trams-v3-counter-motivation-icon {
    margin-top: .5em;
}

.trams-v3-counter-block-prelude {
    text-align: center;
}

.trams-v3-counter-block-prelude h3 {
    font-family: var(--trams-sans-font-family);
    text-align: center;
    font-weight: 500;
    font-size: 20px;
}

.trams-v3-counter-year-input {
    text-align: center;
    font-size: 36px;
    border: none;
    border-bottom: 1px solid black;
    width: 4em;
    outline: none;
}

.trams-v3-counter-year-buttons {
    margin-top: 20px;
    text-align: center;
}

.trams-v3-counter-year-buttons button {
    font-size: 18px;
    padding: .5em 1.5em;
    border-radius: 25px;
    border: none;
    background-color: var(--trams-link-color);
    color: white;
    font-family: var(--trams-sans-font-family);
    margin: 0 .5em;
}
.trams-v3-counter-year-buttons button[data-disabled="true"] {
    background-color: var(--trams-light-gray);
    color: var(--trams-dark-gray);
}
@media (hover: hover) {
    .trams-v3-counter-year-buttons button[data-disabled="false"]:hover {
        background-color: var(--trams-link-hover-color);
    }
}
@media (hover: none) {
    .trams-v3-counter-year-buttons button[data-disabled="false"]:active {
        background-color: var(--trams-link-hover-color);
    }
}

.trams-v3-counter-year-facts p,
.trams-v3-counter-frequency-facts p {
    text-align: center;
    font-family: var(--trams-sans-font-family);
    font-size: 24px;
}

.trams-v3-counter-frequency-input-wrapper {
    width: 100%;
    max-width: 400px;
    margin: 0 auto;
}

.trams-v3-counter-frequency-input {
    width: 100%;
}

.trams-v3-counter-frequency-input-legend{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    font-family: var(--trams-sans-font-family);
    font-size: 16px;
}

.trams-v3-counter-frequency-input-current {
    font-family: var(--trams-sans-font-family);
    font-size: 20px;
}

.trams-v3-counter-frequency-buttons {
    margin-top: 20px;
    text-align: center;
}

.trams-v3-counter-frequency-buttons button {
    font-size: 18px;
    padding: .5em 1.5em;
    border-radius: 25px;
    border: none;
    background-color: var(--trams-link-color);
    color: white;
    font-family: var(--trams-sans-font-family);
    margin: 0 .5em;
}
@media (hover: hover) {
    .trams-v3-counter-frequency-buttons button:hover {
        background-color: var(--trams-link-hover-color);
    }
}
@media (hover: none) {
    .trams-v3-counter-frequency-buttons button:active {
        background-color: var(--trams-link-hover-color);
    }
}